function SkySaveDB()
{
   if(SkyInput())
   {
      var info;
      info = "您确实要保存数据吗?";
      if(confirm(info))
      {
         return true;
      }
      else
      {
         return false;
      }
   }
   else
   {
      return false;
   }

}
function SkyInput()
{
   // 消除成绩中的非法字符// http : // www.0451sky.com
   for(var i = 0; i < DataArtList.cells.length; i ++ )
   {
      var subdiv = DataArtList.cells[i].getElementsByTagName("input");
      for(var j = 0; j < subdiv.length; j ++ )
      {
         var s;
         s = document.getElementById(subdiv[j].name);
         if( ! isValidCode(s.value) || s.value == "")
         {
            window.alert("输入成绩中存在非法字符,请重新输入!");
            s.focus();
            return false;
         }
      }
   }
   return true;
}
function isValidCode(strCode)
{
   var i, cChar
   var strValidID = "0123456789.0";
   for (i = 0; i < strCode.length; i ++ )
   {
      cChar = strCode.charAt(i);
      if(strValidID.indexOf(cChar) == - 1) return false;
   }
   return true;
}
// -------------------------------------------------------------
function SkySaveDB1()
{
   if(SkyInput())
   {

      var s;
      s = document.getElementById("TxtSet");
      if( ! isValidCode(s.value) || s.value == "")
      {
         window.alert("要设置的成绩中存在非法字符,请重新输入!");
         s.focus();
         return false;
      }
      // -------------------------------------------
      var info;
      info = "您确实要这样操作吗?\n操作完毕请不要忘记保存!";
      if(confirm(info))
      {
         return true;
      }
      else
      {
         return false;
      }
   }
   else
   {
      return false;
   }

}
// ----------------------------------
function SkySaveDB2()
{
   if(SkyInput())
   {

      var s;
      // -------------------------------------------
      var info;
      info = "您确实要这样操作吗?\n操作完毕请不要忘记保存!";
      if(confirm(info))
      {
         return true;
      }
      else
      {
         return false;
      }
   }
   else
   {
      return false;
   }

}
// --------------------
function SkySaveDB3()
{
   if(SkyInput())
   {

      var s;
      s = document.getElementById("TxTCC");
      if( ! isValidCode(s.value) || s.value == "")
      {
         window.alert("要乘的成绩中存在非法字符,请重新输入!");
         s.focus();
         return false;
      }
      // -------------------------------------------
      var info;
      info = "您确实要这样操作吗?\n操作完毕请不要忘记保存!";
      if(confirm(info))
      {
         return true;
      }
      else
      {
         return false;
      }
   }
   else
   {
      return false;
   }

}

// --------------------
function SkySaveDB4()
{
   if(SkyInput())
   {

      var s;
      s = document.getElementById("TxtPs");
      if( ! isValidCode(s.value) || s.value == "")
      {
         window.alert("平时成绩所占比率中存在非法字符,请重新输入!");
         s.focus();
         return false;
      }
      s = document.getElementById("TxtZy");
      if( ! isValidCode(s.value) || s.value == "")
      {
         window.alert("作业成绩所占比率中存在非法字符,请重新输入!");
         s.focus();
         return false;
      }
      s = document.getElementById("TxtQZ");
      if( ! isValidCode(s.value) || s.value == "")
      {
         window.alert("期中成绩所占比率中存在非法字符,请重新输入!");
         s.focus();
         return false;
      }
      s = document.getElementById("TxtQM");
      if( ! isValidCode(s.value) || s.value == "")
      {
         window.alert("期末成绩所占比率中存在非法字符,请重新输入!");
         s.focus();
         return false;
      }
      // -------------------------------------------
      var info;
      info = "您确实要这样操作吗?\n操作完毕请不要忘记保存!";
      if(confirm(info))
      {
         return true;
      }
      else
      {
         return false;
      }
   }
   else
   {
      return false;
   }

}
